//=============================================================================
// GoldenDenton (C) [DX-ST]DJ
//=============================================================================
class GoldenDentonClo extends DeusExPickup;

#exec TEXTURE IMPORT NAME=GoldenDentonTex0 FILE=Textures\GoldenDentonTex0.pcx GROUP=Skins
#exec TEXTURE IMPORT NAME=GoldenDentonTex1 FILE=Textures\GoldenDentonTex1.pcx GROUP=Skins
#exec TEXTURE IMPORT NAME=GoldenDentonTex2 FILE=Textures\GoldenDentonTex2.pcx GROUP=Skins
#exec TEXTURE IMPORT NAME=GoldenDentonTex3 FILE=Textures\GoldenDentonTex3.pcx GROUP=Skins
#exec TEXTURE IMPORT NAME=Goldenframe4 FILE=Textures\Goldenframe4.pcx GROUP=Skins

state Activated
{
	function Activate()
	{
	}

	function BeginState()
	{
		local DeusExPlayer player;
		Super.BeginState();

		player = DeusExPlayer(Owner);
		if (player != None)
		{
		Player.Mesh=LodMesh'DeusExCharacters.GM_Trench';
				        Player.MultiSkins[0]=Texture'GoldenDentonTex0';
	    			    Player.MultiSkins[1]=Texture'GoldenDentonTex2';
                Player.MultiSkins[2]=Texture'GoldenDentonTex3';
                Player.MultiSkins[3]=Texture'GoldenDentonTex0';
                Player.MultiSkins[4]=Texture'GoldenDentonTex1';
                Player.MultiSkins[5]=Texture'GoldenDentonTex2';
                Player.MultiSkins[6]=Texture'Goldenframe4';
                Player.MultiSkins[7]=Texture'DeusExCharacters.Skins.LensesTex4';
		}

		UseOnce();
	}
Begin:
}

defaultproperties
{
    maxCopies=10
    bCanHaveMultipleCopies=True
    bActivatable=True
    ItemName="GoldenDenton Suit"
    ItemArticle="the"
    PlayerViewOffset=(X=30.00,Y=0.00,Z=-12.00),
    PlayerViewMesh=LodMesh'DeusExDeco.BoxSmall'
    PickupViewMesh=LodMesh'DeusExDeco.BoxSmall'
    ThirdPersonMesh=LodMesh'DeusExDeco.BoxSmall'
    LandSound=Sound'DeusExSounds.Generic.PaperHit2'
    Icon=Texture'DeusExUI.Icons.ChargedIconArmorAdaptive'
    largeIcon=Texture'DeusExUI.Icons.LargeIconArmorAdaptive'
    largeIconWidth=35
    largeIconHeight=49
    Description="BE GOLDEN WOOO"
    beltDescription="G-Denton Clo"
    Skin=Texture'DeusExDeco.BoxSmallTex1'
    Mesh=LodMesh'DeusExDeco.BoxSmall'
    CollisionRadius=13.00
    CollisionHeight=5.18
    Mass=10.00
    Buoyancy=30.00
}
